// 用户模型
export interface User {
    id: string;            // 用户唯一ID
    openId: string;        // 微信OpenID
    nickname: string;      // 昵称
    avatarUrl: string;     // 头像
    createdAt: Date;       // 注册时间
    stats: UserStats;      // 统计数据
  }
  
  // 用户统计数据
  export interface UserStats {
    gamesPlayed: number;   // 玩过的游戏
    gamesHosted: number;   // 主持的游戏
    solvedRate: number;    // 解谜成功率
  }
  
  // 用户配置
  export interface UserSettings {
    theme: 'light' | 'dark';
    notificationsEnabled: boolean;
    vibrationEnabled: boolean;
  }